package main

import (
	"fmt"
	"os"
	"os/signal"
	"rpi-ci-led/pkg/ws2812b"
	"syscall"

	"github.com/joho/godotenv"
)

func main() {
	fmt.Println("GO ci hook")

	godotenv.Load()

	ws2812b.Init(18, 20, 255)

	lock := make(chan os.Signal)
	signal.Notify(lock, syscall.SIGINT, syscall.SIGTERM)

	// main

	<-lock

	ws2812b.Close()
}
